# Get a quote

Retrieve a specific quote by its unique identifier.
Use this endpoint to:
- Verify quote details before creating a payment
- Check if a quote is still active (not expired)
- Retrieve the `quoteId` needed for payment creation

**Note:** Quotes expire after a defined period. Check the `quoteStatus` field to confirm the quote is `ACTIVE` before using it to create a payment.

Endpoint: GET /v3/quotes/{quote-id}
Version: 2026.04
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `quote-id` (string, required)
    The unique identifier of the quote to retrieve

## Response 200:

  - `200` (unknown)
    Valid quote found

## Response 200 fields (application/json):

  - `quoteId` (string, required)
    Unique ID that represents this quote.
    Example: 7ea3399c-1234-5678-8d8f-d320ea406630

  - `quoteStatus` (string, required)
    Enum: "EXPIRED", "ACTIVE"

  - `quoteAmountType` (string)
    The type of amount for which you want to get a quote.
    Enum: "SOURCE_AMOUNT", "DESTINATION_AMOUNT"

  - `sourceAmount` (number)
    Amount to be sent by the originator.
    Example: 123.45

  - `destinationAmount` (number)
    Amount to be received by destination
    Example: 2438.19

  - `sourceCurrency` (string, required)
    The currency code of the currency that you are sending.
    Example: USD

  - `destinationCurrency` (string, required)
    The currency code of the currency in which your beneficiary will receive this payment.
    Example: MXN

  - `sourceCountry` (string)
    The country where the payment originator is located or incorporated, specified in Alpha-2 Code format as defined in the ISO CountryCode ISO 3166-1 list.
    Example: US

  - `destinationCountry` (string)
    The country code to which you wish to send the funds. It follows ISO 3166-1 alpha-2 code
    Example: MX

  - `payinCategory` (string, required)
    The name of payin category specified in the quote request.
    Example: PRE_FUNDING

  - `adjustedExchangeRate` (object)
    Foreign Exchange (FX) rate used to calculate the quote.

  - `adjustedExchangeRate.adjustedRate` (number)
    Value of the Foreign Exchange (FX) rate.
    Example: 2

  - `fees` (array)
    A summary of fees included in this quote.

  - `fees.totalFee` (number)
    The value of the total fee included in this quote.
    Example: 12.23

  - `fees.feeCurrency` (string)
    The currency in which fees are charged.
    Example: USD

  - `fees.feeBreakdown` (array)
    An array of fees that provides a breakdown of how the total fees is calculated for this quote.

  - `fees.feeBreakdown.calculatedFee` (number)
    Value of the fee when the configured fee unit is applied against the `value`.
    Example: 2.43

  - `fees.feeBreakdown.feeName` (string)
    The name of the fee.
    Example: Service fee

  - `fees.feeBreakdown.feeDescription` (string)
    Description of the fee.
    Example: The service fee charged for this transaction.

  - `fees.feeBreakdown.paymentRail` (string)
    The payment rail associated with this fee line item.
    Example: SPEI

  - `taxes` (array)
    A summary of taxes included in this quote.

  - `taxes.totalTaxes` (number)
    The value of the total taxes included in this quote.
    Example: 5.12

  - `taxes.taxCurrency` (string)
    The currency in which taxes are charged.
    Example: USD

  - `taxes.taxBreakdown` (array)
    An array of taxes with details such as tax description, rate, name and tax amount.

  - `taxes.taxBreakdown.taxAmount` (number)
    tax amount for this tax line item.
    Example: 2.43

  - `taxes.taxBreakdown.taxName` (string)
    The name of the tax.
    Example: ISS/ VAT/ GST etc

  - `taxes.taxBreakdown.taxDescription` (string)
    GST service fee tax .
    Example: The service fee tax charged for this transaction.

  - `taxes.taxBreakdown.taxRate` (number)
    The tax rate applied to calculate the tax amount.
    Example: 5

  - `createdAt` (string)
    The time when this quote was created, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `expiresAt` (string)
    The time when this quote expires, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `paymentRail` (string)
    The payment rail used for this quote.
    Example: SPEI

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array, required)
    List of quote errors

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: Unable to process the request due to an internal server error.

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Customer not found

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `status` (integer, required)
    Response status code

## Response 403:

  - `403` (unknown)
    The principal identified by the authorization header doesn't have enough scopes to perform this operation

## Response 403 fields (application/json):

  - `errors` (array, required)
    List of quote errors

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: Unable to process the request due to an internal server error.

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Customer not found

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `status` (integer, required)
    Response status code

## Response 404:

  - `404` (unknown)
    Quote not found

## Response 404 fields (application/json):

  - `errors` (array, required)
    List of quote errors

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: Unable to process the request due to an internal server error.

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Customer not found

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `status` (integer, required)
    Response status code

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/json):

  - `errors` (array, required)
    List of quote errors

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: SYS_100

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: Unable to process the request due to an internal server error.

  - `errors.type` (string, required)
    Identifies the problem type
    Example: USER_VALIDATION_ERROR

  - `errors.description` (string, required)
    Provides more technical information
    Example: Customer not found

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: 2023-11-02T18:26:00.000123Z

  - `status` (integer, required)
    Response status code

